VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Search-As-You-Type Combo - Database Example"
   ClientHeight    =   2490
   ClientLeft      =   4245
   ClientTop       =   3030
   ClientWidth     =   8070
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2490
   ScaleWidth      =   8070
   Begin VB.Frame Frame1 
      Caption         =   "Options"
      Height          =   1095
      Left            =   120
      TabIndex        =   3
      Top             =   1260
      Width           =   7815
      Begin VB.CheckBox chkShowDropDown 
         Caption         =   "Show Drop-Down on Focus"
         Height          =   195
         Left            =   5040
         TabIndex        =   5
         Top             =   480
         Value           =   1  'Checked
         Width           =   2595
      End
      Begin VB.OptionButton optAllItems 
         Caption         =   "Load All Items"
         Height          =   255
         Left            =   120
         TabIndex        =   6
         Top             =   660
         Width           =   3195
      End
      Begin VB.OptionButton optFirstLetter 
         Caption         =   "Load Items Based on First Letter Typed"
         Height          =   255
         Left            =   120
         TabIndex        =   4
         Top             =   300
         Value           =   -1  'True
         Width           =   3375
      End
      Begin VB.Line Line1 
         X1              =   4020
         X2              =   4020
         Y1              =   180
         Y2              =   960
      End
   End
   Begin VB.ComboBox cboCompany 
      Height          =   315
      Left            =   1080
      Sorted          =   -1  'True
      TabIndex        =   1
      Top             =   420
      Width           =   5295
   End
   Begin VB.TextBox Text1 
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Text            =   "Text1"
      Top             =   420
      Width           =   795
   End
   Begin VB.CommandButton cmdRefresh 
      Caption         =   "Refresh"
      Height          =   495
      Left            =   6540
      TabIndex        =   2
      Top             =   360
      Width           =   1395
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    InitializeDB
End Sub

Private Sub Form_Unload(Cancel As Integer)
    DisconnectDB
End Sub

Private Sub cboCompany_GotFocus()
    gstrATCDBTableName = "Company"
    gstrATCDBFieldName = "CompanyName"
    gblnGetAllData = optAllItems.Value
    gblnDropDownOnFocus = IIf(chkShowDropDown.Value = vbChecked, True, False)
    AutoTypeComboGotFocus cboCompany
End Sub

Private Sub cboCompany_KeyDown(KeyCode As Integer, Shift As Integer)
    AutoTypeComboKeyDown cboCompany, KeyCode, Shift
End Sub

Private Sub cboCompany_KeyPress(KeyAscii As Integer)
    AutoTypeComboKeyPress Me, cboCompany, KeyAscii
End Sub

Private Sub cboCompany_Change()
    AutoTypeComboChange cboCompany
End Sub

Private Sub cboCompany_LostFocus()
    AutoTypeComboLostFocus cboCompany
End Sub

Private Sub cmdRefresh_Click()
    
    Dim objTestRst  As ADODB.Recordset
    
    If Trim$(cboCompany.Text) = "" Then Exit Sub
    
    gobjCmd.CommandText = "SELECT COUNT(*) AS CompanyCount FROM Company " _
                        & " WHERE UCASE(CompanyName) = '" _
                        & UCase$(Replace$(cboCompany.Text, "'", "''")) & "'"
                        
    Set objTestRst = gobjCmd.Execute
    
    If objTestRst("CompanyCount") = 0 Then
        gobjCmd.CommandText = "INSERT INTO Company(CompanyName) " _
                            & " VALUES('" & Replace$(cboCompany.Text, "'", "''") & "')"
    
        gobjCmd.Execute
        cboCompany.AddItem cboCompany.Text
    End If
    
End Sub
